Package ru.bitel.bgbilling.modules.tv.server

# Class ProductManager.Entry

java.lang.Object
ru.bitel.bgbilling.modules.tv.server.ProductManager.Entry

Enclosing class:
  `ProductManager`

public static class ProductManager.Entry extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `accountId`
  `final int`
  `activationModeId`
  `final BigDecimal`
  `activationPrice`
  `final Date`
  `activationTime`
  `final String`
  `deviceProductId`
  `final short`
  `deviceState`
  `final int`
  `productId`
  `final Date`
  `productPeriodActivationTime`
  `final int`
  `productPeriodFlags`
  `final int`
  `productPeriodId`
  `final Date`
  `productPeriodProlongationTime`
  если период пропорциональный, то в prolongationTime лежит время, с которого период начался бы, будь не пропорциональным (например, в случае выровненных по отношению друг к другу периодов)
  `final Date`
  `productPeriodTimeFrom`
  `final Date`
  `productPeriodTimeTo`
  `final ProductSpec`
  `productSpec`
  `final int`
  `productSpecId`
  `final Date`
  `productTimeFrom`
  `final Date`
  `productTimeTo`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Entry(int accountId, int productPeriodId, Date productPeriodActivationTime, Date productPeriodTimeFrom, Date productPeriodTimeTo, int productPeriodFlags, int productId, int productSpecId, ProductSpec productSpec, int activationModeId, Date activationTime, BigDecimal activationPrice, Date productTimeFrom, Date productTimeTo, String deviceProductId, short deviceState, Date productPeriodProlongationTime)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Product`
  `toProduct(int contractId, int accountId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### accountId

    public final int accountId

  - ### productPeriodId

    public final int productPeriodId

  - ### productPeriodActivationTime

    public final Date productPeriodActivationTime

  - ### productPeriodTimeFrom

    public final Date productPeriodTimeFrom

  - ### productPeriodTimeTo

    public final Date productPeriodTimeTo

  - ### productPeriodProlongationTime

    public final Date productPeriodProlongationTime
    если период пропорциональный, то в prolongationTime лежит время, с которого период начался бы, будь не пропорциональным (например, в случае выровненных по отношению друг к другу периодов)

  - ### productPeriodFlags

    public final int productPeriodFlags

  - ### productId

    public final int productId

  - ### productSpecId

    public final int productSpecId

  - ### productSpec

    public final ProductSpec productSpec

  - ### activationModeId

    public final int activationModeId

  - ### activationTime

    public final Date activationTime

  - ### activationPrice

    public final BigDecimal activationPrice

  - ### productTimeFrom

    public final Date productTimeFrom

  - ### productTimeTo

    public final Date productTimeTo

  - ### deviceProductId

    public final String deviceProductId

  - ### deviceState

    public final short deviceState

- ## Constructor Details

  - ### Entry

    public Entry(int accountId, int productPeriodId, Date productPeriodActivationTime, Date productPeriodTimeFrom, Date productPeriodTimeTo, int productPeriodFlags, int productId, int productSpecId, ProductSpec productSpec, int activationModeId, Date activationTime, BigDecimal activationPrice, Date productTimeFrom, Date productTimeTo, String deviceProductId, short deviceState, Date productPeriodProlongationTime)

- ## Method Details

  - ### toProduct

    public Product toProduct(int contractId, int accountId)